org.firebirdsql.gds.ng

## Class SqlCountHolder

- java.lang.Object
- - org.firebirdsql.gds.ng.SqlCountHolder

-     public final class SqlCountHolder
      extends java.lang.Object

  Class for holding the SQL counts (update, delete, select, insert) for a statement execution.

  The `long` values returned from the `getLongXXXCount` methods should be considered as unsigned

  Since:
    3.0
  Author:
    Mark Rotteveel

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `SqlCountHolder(long updateCount, long deleteCount, long insertCount, long selectCount)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getIntegerDeleteCount()`
    `int` | `getIntegerInsertCount()`
    `int` | `getIntegerSelectCount()`
    `int` | `getIntegerUpdateCount()`
    `long` | `getLongDeleteCount()`
    `long` | `getLongInsertCount()`
    `long` | `getLongSelectCount()`
    `long` | `getLongUpdateCount()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### SqlCountHolder

          public SqlCountHolder(long updateCount,
                                long deleteCount,
                                long insertCount,
                                long selectCount)

  - ### Method Detail

    - #### getIntegerUpdateCount

          public int getIntegerUpdateCount()

      Returns:
        Update count as `int`, or 0 if the update count was too large.
      See Also:
        `getLongUpdateCount()`

    - #### getLongUpdateCount

          public long getLongUpdateCount()

      Returns:
        Number of updated records

    - #### getIntegerDeleteCount

          public int getIntegerDeleteCount()

      Returns:
        Delete count as `int`, or 0 if the delete count was too large.
      See Also:
        `getLongDeleteCount()`

    - #### getLongDeleteCount

          public long getLongDeleteCount()

      Returns:
        Number of deleted records

    - #### getIntegerInsertCount

          public int getIntegerInsertCount()

      Returns:
        Insert count as `int`, or 0 if the insert count was too large.
      See Also:
        `getLongInsertCount()`

    - #### getLongInsertCount

          public long getLongInsertCount()

      Returns:
        Number of inserted records

    - #### getIntegerSelectCount

          public int getIntegerSelectCount()

      Returns:
        Select count as `int`, or 0 if the select count was too large.
      See Also:
        `getLongSelectCount()`

    - #### getLongSelectCount

          public long getLongSelectCount()

      Returns:
        Number of selected records

Copyright © 2001-2021 Jaybird (Firebird JDBC/JCA) team. All rights reserved.